Clinia
RegistryResources

Get a resource from the registry

GET
/sources/{sourceKey}/v1/resources/{resourceType}/{id}

Get a resource from the registry.

X-Clinia-API-Key<token>

In: header

Path Parameters

sourceKey*string

The key of the source.

resourceType*string

Type of the resource. Key of the profile.

id*string

The resource ID. It can also be an identifier with the following formats {system}:{value}:{use} (e.g. clinia:123:use).

Query Parameters

includes?array<string>

List of relationship property key (included resources) to includes with the response. Keys must be valid relationship property key for the given resource type.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/sources/string/v1/resources/string/string"
{  "id": "string",  "type": "string",  "meta": {    "createdAt": "2019-08-24T14:15:22Z",    "identifier": [      {        "id": "string",        "system": "string",        "value": "string",        "use": "string",        "period": {          "id": "string",          "start": "string",          "end": "string"        }      }    ],    "source": "string",    "updatedAt": "2019-08-24T14:15:22Z"  },  "data": {},  "contained": {    "property1": [      {        "id": "string",        "type": "string",        "meta": {          "createdAt": "2019-08-24T14:15:22Z",          "identifier": [            {              "id": "string",              "system": "string",              "value": "string",              "use": "string",              "period": {                "id": "string",                "start": "string",                "end": "string"              }            }          ],          "source": "string",          "updatedAt": "2019-08-24T14:15:22Z"        },        "data": {}      }    ],    "property2": [      {        "id": "string",        "type": "string",        "meta": {          "createdAt": "2019-08-24T14:15:22Z",          "identifier": [            {              "id": "string",              "system": "string",              "value": "string",              "use": "string",              "period": {                "id": "string",                "start": "string",                "end": "string"              }            }          ],          "source": "string",          "updatedAt": "2019-08-24T14:15:22Z"        },        "data": {}      }    ]  },  "includes": {    "property1": [      {        "id": "string",        "type": "string",        "from": {          "id": "string",          "type": "string"        },        "to": {          "id": "string",          "type": "string"        },        "meta": {          "createdAt": "2019-08-24T14:15:22Z",          "identifier": [            {              "id": "string",              "system": "string",              "value": "string",              "use": "string",              "period": {                "id": "string",                "start": "string",                "end": "string"              }            }          ],          "source": "string",          "updatedAt": "2019-08-24T14:15:22Z"        },        "data": {}      }    ],    "property2": [      {        "id": "string",        "type": "string",        "from": {          "id": "string",          "type": "string"        },        "to": {          "id": "string",          "type": "string"        },        "meta": {          "createdAt": "2019-08-24T14:15:22Z",          "identifier": [            {              "id": "string",              "system": "string",              "value": "string",              "use": "string",              "period": {                "id": "string",                "start": "string",                "end": "string"              }            }          ],          "source": "string",          "updatedAt": "2019-08-24T14:15:22Z"        },        "data": {}      }    ]  }}